// SayError.c
//
// For WIN32 console mode.

#include <stdio.h>
#include "windows.h"
#include "sayerror.h"
#include "wsc.h"

void cdecl SayError(int Code, char *Text)
{static char Temp[128];
 printf("%s\n",Text);
 switch(Code)
   {case WSC_NO_DATA:
      printf("No Data\n");
      break;
    case WSC_RANGE:
      printf("Parameter out of range");
      break;
    case WSC_ABORTED:
      printf("Aborted");
      break;
    case WSC_EXPIRED:
      printf("Shareware execution expired");
      break;
    case IE_BADID:
      printf("Invalid COM port\n");
      break;
    case IE_OPEN:
      printf("COM port already open\n");
      break;
    case IE_NOPEN:
      printf("Cannot open COM port\n");
      break;
    case IE_MEMORY:
      printf("Cannot allocate memory\n");
      break;
    case IE_DEFAULT:
      printf("Error in default parameters\n");
      break;
    case IE_HARDWARE:
      printf("COM port hardware not present\n");
      break;
    case IE_BYTESIZE:
      printf("Unsupported byte size\n");
      break;
    case IE_BAUDRATE:
      printf("Unsupported baud rate\n");
      break;
    case WSC_WIN32ERR:
      SioWinError(Temp,128);
      printf("%s\n");
      break;
    default:
      printf(" Unknown code %d\n",Code);
      break;
   }
} /* end SioError */
  
